Taiga
API ReferenceTasksV3

List tasks

GET
/api/tasks/v3

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

limit?|

Defaults to 100

page_token?PageToken|null
status?|null
statuses?|

Only return tasks with a status that matches one in this comma-separated list.

task_type?|null
task_types?|

Only return tasks with a task_type that matches one in this comma-separated list.

categories?|

Only return tasks with categories that match one in this comma-separated list.

updated_since?|

Only return tasks updated on or after this date-time

Formatdate-time
encounter_id?|

Only return tasks associated with this encounter

search_term?|

Query tasks by encounter_id, claim_id, task_id, or external_id

assigned_to_id?|

Only return tasks assigned to this user

date_of_service_min?|

The minimum date of service for the linked encounter

Formatdate
date_of_service_max?|

The maximum date of service for the linked encounter

Formatdate
billing_provider_npi?|

The NPI of the billing provider associated with the task's claim

sort?|

Defaults to updated_at:desc

Response Body

application/json

application/json

curl -X GET "https://example.com/api/tasks/v3"
{  "items": [    {      "task_id": "736fde4d-9029-4915-8189-01353d6982cb",      "encounter_id": "7a82c561-3d07-4ff8-8b24-4d41b12287d2",      "task_type": "CUSTOMER_DATA_REQUEST",      "description": "string",      "blocks_claim_submission": true,      "external_id": "string",      "patient_name": "string",      "patient_external_id": "string",      "payer_name": "string",      "payer_id": "string",      "status": "finished",      "notes": [        {          "task_note_id": "bfa41a4f-b427-4a6f-85a4-c2cc74485d04",          "text": "string",          "created_at": "2019-08-24T14:15:22Z",          "author_name": "string",          "author_organization_name": "string"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "agg_updated_at": "2019-08-24T14:15:22Z",      "date_of_service": "2019-08-24",      "assignments": [        {          "task_assignment_id": "924dc150-03a7-468c-b045-7351933821a8",          "assignee_user_id": "e942d24d-8cee-4fa2-bf68-164509e32e2f"        }      ],      "category": "other",      "configurable_rule_id": "f67d1896-9776-4f25-8077-8958fdcab169"    }  ],  "prev_page_token": "string",  "next_page_token": "string"}